package hirs.persist;

/**
 * This class represents an <code>AlertServiceConfigManagerException</code> generated by a
 * <code>AlertServiceConfigManager</code>.
 */
public class AlertServiceConfigManagerException extends RuntimeException {

    private static final long serialVersionUID = 4732897562100987655L;

    /**
     * Creates a new <code>AlertServiceManagerException</code> that has the message
     * <code>msg</code>.
     *
     * @param msg exception message
     */
    AlertServiceConfigManagerException(final String msg) {
        super(msg);
    }

    /**
     * Creates a new <code>AlertServiceManagerException</code> that wraps the given
     * <code>Throwable</code>.
     *
     * @param t root cause
     */
    AlertServiceConfigManagerException(final Throwable t) {
        super(t);
    }

    /**
     * Creates a new <code>AlertServiceManagerException</code> that has the message <code>msg</code>
     * and wraps the root cause.
     *
     * @param msg exception message
     * @param t root cause
     */
    AlertServiceConfigManagerException(final String msg, final Throwable t) {
        super(msg, t);
    }
}
