package hirs.persist;

/**
 * This class represents an <code>Exception</code> generated by a
 * <code>DeviceGroupManager</code>.
 */
public class DeviceGroupManagerException extends RuntimeException {

    private static final long serialVersionUID = 972152768034191965L;

    /**
     * Creates a new <code>DeviceGroupManagerException</code> that has the
     * message <code>msg</code>.
     *
     * @param msg
     *            exception message
     */
    DeviceGroupManagerException(final String msg) {
        super(msg);
    }

    /**
     * Creates a new <code>DeviceGroupManagerException</code> that wraps the
     * given <code>Throwable</code>.
     *
     * @param t
     *            root cause
     */
    DeviceGroupManagerException(final Throwable t) {
        super(t);
    }

    /**
     * Creates a new <code>DeviceGroupManagerException</code> that has the
     * message <code>msg</code> and wraps the root cause.
     *
     * @param msg
     *            exception message
     * @param t
     *            root cause
     */
    DeviceGroupManagerException(final String msg, final Throwable t) {
        super(msg, t);
    }
}
