package hirs.persist;

/**
 * This class represents an <code>Exception</code> generated by a
 * <code>PortalInfoManager</code>.
 */
public class PortalInfoManagerException extends RuntimeException {

    private static final long serialVersionUID = 6124746343666464304L;

    /**
     * Creates a new <code>PortalInfoManagerException</code> that has the message
     * <code>msg</code>.
     *
     * @param msg exception message
     */
    PortalInfoManagerException(final String msg) {
        super(msg);
    }

    /**
     * Creates a new <code>PortalInfoManagerException</code> that wraps the given
     * <code>Throwable</code>.
     *
     * @param t root cause
     */
    PortalInfoManagerException(final Throwable t) {
        super(t);
    }

    /**
     * Creates a new <code>PortalInfoManagerException</code> that has the message <code>msg</code>
     * and wraps the root cause.
     *
     * @param msg exception message
     * @param t root cause
     */
    PortalInfoManagerException(final String msg, final Throwable t) {
        super(msg, t);
    }
}
